package com.bsoft.api.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

public class AddBudgetValue {
    @ApiModelProperty(value = "类型")
    @NotNull(message = "类型不能为空")
    private Integer projType;

    @ApiModelProperty(value = "时间")
    @NotNull(message = "时间不能为空")
    private BigDecimal date;

    @ApiModelProperty(value = "科室")
    @NotBlank(message = "科室不能为空")
    private String deptCode;

    @ApiModelProperty(value = "数值")
    @NotNull(message = "数值不能为空")
    private List<BudgetValue> budgetValues;


    public Integer getProjType() {
        return projType;
    }

    public void setProjType(Integer projType) {
        this.projType = projType;
    }

    public BigDecimal getDate() {
        return date;
    }

    public void setDate(BigDecimal date) {
        this.date = date;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public List<BudgetValue> getBudgetValues() {
        return budgetValues;
    }

    public void setBudgetValues(List<BudgetValue> budgetValues) {
        this.budgetValues = budgetValues;
    }

}
